#include <iostream>
#pragma hdrstop
#include <inf.hpp>

void help() {
  std::cout << "Usage: value +|-|*|/ value\n";
  std::cout << "Example: 123456789012345 - 5432154\n";
}


int main(int argc, char* argv[])
{
  if (argc < 4) {
    help();
    exit(1);
  }

  inf left_value(argv[1]);
  inf right_value(argv[3]);
  inf result;

  switch(*argv[2]) {
    case '+':
      result = left_value + right_value;
      break;
    case '-':
      result = left_value - right_value;
      break;
    case '*':
      result = left_value * right_value;
      break;
    case '/':
      result = left_value / right_value;
      break;
    default:
      std::cout << "Invalid operator: " << argv[2] << std::endl;
  }

  std::cout << "Answer: " << to_string(result) << std::endl;

  return 0;
}

